Anonymous Login
2019-07-22 19:39 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000763Pending RequestsCore Infrastructurepublic2014-08-16 10:09
Reporterdte 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000763: Configuring default role with LDAP Authenticator
DescriptionNew account created by LDAP Authentication is given a default role "anon" hardly coded in Authenticators/LDAP.class.php :
$acl->insertUserRole($acl->get_group_id('anon'), $this->user_id);

I do change it with every new release for an other role tailored to meet our own needs.

Suggestion

Manage that default setting in a configurable attribute in W2P system configuration as this will be persistent to any update/upgrade.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2011-03-31 06:41 dte New Issue
2011-03-31 06:42 caseydk Project v2.3 Release (Closed) => Pending Requests
2011-07-03 23:43 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-07-14 23:25 caseydk Project v2.4 Release (Closed) => Pending Requests
2011-08-09 12:55 caseydk Project Pending Requests => v3.0 Release
2011-11-23 22:59 caseydk Project v3.0 Release => Pending Requests
2014-08-16 10:09 caseydk Category General => Core Infrastructure
+Issue History